Fees, Inflation & Other Methods
Methods for fees, inflation, staking, and other utilities.
getFeeForMessage
POST - JSON-RPC
Returns the fee the network will charge for a particular message.
params[0]stringrequiredBase-64 encoded serialized message.
params[1]objectConfiguration object with optional commitment and minContextSlot.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getFeeForMessage","params":["AQABAgIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEBAQAA",{"commitment":"processed"}]}'getMinimumBalanceForRentExemption
POST - JSON-RPC
Returns the minimum balance required for an account to be rent-exempt.
params[0]integerAccount data length in bytes (usize).
params[1]objectConfiguration object with optional commitment.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getMinimumBalanceForRentExemption","params":[50]}'getRecentPrioritizationFees
POST - JSON-RPC
Returns a list of prioritization fees from recent blocks.
params[0]arrayOptional array of account addresses as base-58 strings (max 128). If provided, results reflect fees for transactions involving these accounts.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getRecentPrioritizationFees","params":[["CxELquR1gPP8wHe33gZ4QxqGB3sZ9RSwg97uo1UBTobi"]]}'result[]arrayslotintegerprioritizationFeeintegergetSupply
POST - JSON-RPC
Returns information about the current supply, including total, circulating, and non-circulating supply.
params[0]objectConfiguration object:
commitment(string) - commitment levelexcludeNonCirculatingAccountsList(boolean) - exclude account list from response
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getSupply"}'getLargestAccounts
POST - JSON-RPC
Returns the 20 largest accounts by lamport balance.
params[0]objectConfiguration object:
commitment(string) - commitment levelfilter(string) -circulatingornonCirculating
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getLargestAccounts"}'getInflationGovernor
POST - JSON-RPC
Returns the current inflation governor.
params[0]objectConfiguration object with optional commitment.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getInflationGovernor"}'resultobjectinitialnumberterminalnumbertapernumberfoundationnumberfoundationTermnumbergetInflationRate
POST - JSON-RPC
Returns the specific inflation values for the current epoch.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getInflationRate"}'getInflationReward
POST - JSON-RPC
Returns the inflation/staking reward for a list of addresses for a specific epoch.
params[0]arrayArray of account addresses as base-58 encoded strings.
params[1]objectConfiguration object:
commitment(string)epoch(integer) - specific epoch (defaults to current)minContextSlot(integer)
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getInflationReward","params":[["6dmNQ5jwLeLk5REvio1JcMshcbvkYMwy26sJ8pbkvStu"],{"epoch":2}]}'getStakeMinimumDelegation
POST - JSON-RPC
Returns the stake minimum delegation amount in lamports.
params[0]objectConfiguration object with optional commitment.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getStakeMinimumDelegation"}'isBlockhashValid
POST - JSON-RPC
Returns whether a blockhash is still valid or not.
params[0]stringrequiredBlockhash as a base-58 encoded string.
params[1]objectConfiguration object with optional commitment and minContextSlot.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"isBlockhashValid","params":["J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW",{"commitment":"processed"}]}'getLatestBlockhash
POST - JSON-RPC
Returns the latest blockhash.
params[0]objectConfiguration object with optional commitment and minContextSlot.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getLatestBlockhash","params":[{"commitment":"processed"}]}'getGenesisHash
POST - JSON-RPC
Returns the genesis hash.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getGenesisHash"}'getHighestSnapshotSlot
POST - JSON-RPC
Returns the highest slot information that the node has snapshots for.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getHighestSnapshotSlot"}'getFirstAvailableBlock
POST - JSON-RPC
Returns the slot of the lowest confirmed block that has not been purged from the ledger.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getFirstAvailableBlock"}'getMaxRetransmitSlot
POST - JSON-RPC
Returns the maximum slot seen from the retransmit stage.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getMaxRetransmitSlot"}'getMaxShredInsertSlot
POST - JSON-RPC
Returns the maximum slot seen after the shred insert stage.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"getMaxShredInsertSlot"}'minimumLedgerSlot
POST - JSON-RPC
Returns the lowest slot that the node has information about in its ledger.
Parameters: None
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"minimumLedgerSlot"}'requestAirdrop
POST - JSON-RPC
Requests an airdrop of lamports to a Pubkey.
params[0]stringrequiredPubkey as a base-58 encoded string.
params[1]integerrequiredLamports to airdrop.
params[2]objectConfiguration object with optional commitment.
curl https://rpc.nln.clr3.org \ -H "Content-Type: application/json" \ -H "x-api-key: YOUR_API_KEY" \ -d '{"jsonrpc":"2.0","id":1,"method":"requestAirdrop","params":["83astBRguLMdt2h5U1Tbd1hZemEfWp1YGt6jZvoRoKCo",1000000000]}'